Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

libraryId
string
required

The ID of the library

Query Parameters

classId
string

The ID of the document class

pageToken
string

The token for continuing a previous list request on the next page. This should be set to the value of 'nextPageToken' from the previous response.

pageSize
integer<int32>
default:20

The maximum number of documents per page. (Default: 20)

deleteOption
enum<string>
default:NOT_DELETED

The scope of documents to find: 'DELETED' to get only deleted documents, 'NOT_DELETED' (default value) to get only non-deleted documents or 'ALL' to get all documents

Available options:
DELETED,
NOT_DELETED,
ALL
securityCode
string

The security code

domain
string

The G Suite domain

publishState
enum<string>
default:ALL

The type of documents to find: 'DRAFT_ONLY' to get draft versions only (if access to it), 'PUBLISHED' to get main versions only (if access to it), 'ALL' for both (the draft version if access to it else the main version). The last mode is the default one.

Available options:
PUBLISHED,
DRAFT_ONLY,
ALL
timezone
string

The timezone to use for datetime field searches (default: UTC). Format: 'Europe/Paris' or '+01:00'

Body

application/json
filters
object[]
kind
string

Response

200 - application/json

A ApiDocumentList response

documentList
object[]
kind
string
pageToken
string